#
# spec file for package yast2-support
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-support
Summary:        YaST2 - Support Inquiries
Version:        5.0.0
Release:        1.7
URL:            https://github.com/yast/yast-support
Group:          System/YaST
License:        GPL-2.0-only

Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-devtools >= 4.2.2
BuildRequires:  rubygem(%{rb_default_ruby_abi}:yast-rake)

BuildArch:      noarch

# Yast::CoreExt::AnsiString
Requires:       yast2-ruby-bindings >= 3.1.36
Requires:       yast2

Supplements:    autoyast(support)

%description
This module allows you to collect system information for installation
support in a standardized format.

%prep
%setup -q

%check
%yast_check

%build

%install
%yast_install
%yast_metainfo

%files
%{yast_yncludedir}
%{yast_clientdir}
%{yast_clientdir}
%{yast_moduledir}
%{yast_desktopdir}
%{yast_metainfodir}
%{yast_scrconfdir}
%{yast_icondir}
%doc %{yast_docdir}
%license COPYING

%changelog
* Wed Aug 30 2023 Josef Reidinger <jreidinger@suse.cz>
- 5.0.0 (bsc#1185510)
* Fri Mar  3 2023 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.6.0 (bsc#1208913)
* Wed Apr  6 2022 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.5.0 (bsc#1198109)
* Tue Apr 20 2021 Ladislav Slezák <lslezak@suse.cz>
- 4.4.0 (bsc#1185510)
* Mon Aug 10 2020 schubi@suse.de
- AutoYaST: Added supplements: autoyast(support) into the spec file
  in order to install this packages if the section has been defined
  in the AY configuration file (bsc#1146494).
- 4.3.0
* Thu Dec  5 2019 jsrain@suse.cz
- update the URL to privacy policy (bsc#1158434)
- 4.2.3
* Thu Aug 22 2019 schubi@suse.de
- Using rb_default_ruby_abi tag in the spec file in order to
  handle several ruby versions (bsc#1146403).
- 4.2.2
* Fri Jul 19 2019 David Diaz <dgonzalez@suse.com>
- Added "BuildRequires: update-desktop-files"
- Related to the previous desktop file changes (fate#319035)
- 4.2.1
* Fri May 31 2019 Stasiek Michalski <hellcp@mailbox.org>
- Add metainfo (fate#319035)
- Revamp spec
- Replace GenericName with Comment
- 4.2.0
* Tue May 28 2019 David Diaz <dgonzalez@suse.com>
- Fix the support url (bsc#1136145)
- 4.1.1
* Thu Dec 13 2018 jreidinger@suse.com
- always use absolute path to binaries (bsc#1118291)
- properly escape shell arguments (bsc#1118291)
- 4.1.0
* Mon Nov 26 2018 Noah Davis <noahadvs@gmail.com>
- Provide icon with module (boo#1109310)
- 4.0.2
* Tue Oct 16 2018 schubi@suse.de
- Added license file to spec.
* Thu Aug 30 2018 mvidner@suse.com
- In ncurses the "Next" button to submit the gathered information
  was not visible (bsc#1093358)
- Made the Contact Information screen fit in a 80x24 terminal
- 4.0.1
* Wed Jun 27 2018 schubi@suse.de
- Added additional searchkeys to desktop file (fate#321043).
- 4.0.0
* Fri Jun 16 2017 jreidinger@suse.com
- Allow service request number longer then 11 digits (bsc#1040706)
- 4.0.0
* Thu Mar 19 2015 ancor@suse.com
- Do not show ANSI escape codes on screen (bnc#921233)
- 3.1.6
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
* Thu May 29 2014 jsrain@suse.cz
- point to SUSE Support Center, more similar text adjustments
  (bnc#879400)
- 3.1.4
* Tue May 13 2014 jsrain@suse.cz
- assure that /etc/supportconfig.conf exists (bnc#876038)
- 3.1.3
* Tue May 13 2014 jsrain@suse.cz
- save report to /var/log by default (bnc#875994)
- 3.1.2
* Thu Apr 24 2014 jsrain@suse.cz
- adjusted help text - name technical support correctly
  (bnc#872123)
- 3.1.1
* Thu Sep 19 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Mon Aug 19 2013 jsuchome@suse.cz
- added option to include additional logs (bnc#806924)
- 3.0.1
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Tue Nov 13 2012 tgoettlicher@suse.de
- confirmed license GPL v2
- 2.19.1
* Thu Mar 29 2012 jsuchome@suse.cz
- merge proofread texts
* Fri Aug  5 2011 tgoettlicher@suse.de
- fixed .desktop file (bnc #681249)
* Mon Jan 18 2010 mzugec@suse.cz
- fixed desktop file (Categories)
- 2.19.0
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Thu Feb 12 2009 mzugec@suse.cz
- set window title (bnc#474618)
- 2.18.0
* Fri Jan  9 2009 varkoly@suse.de
- bnc#447588 - remove progress dialog on start of support module
* Tue Nov 25 2008 mzugec@suse.cz
- added VAR_OPTION_GPG_UID support (bnc#445310)
- 2.17.18
* Tue Nov 25 2008 mzugec@suse.cz
- copy also .md5 file (bnc#445294)
- handle `close event (bnc#446073)
- quote upload target URL (bnc#445315)
- SR numbers validator (bnc#445289)
- 2.17.17
* Thu Nov 20 2008 mzugec@suse.cz
- fixed help string (bnc#436773)
* Wed Nov 19 2008 jsrain@suse.cz
- fixed browser invokation (bnc #439903)
- 2.17.16
* Fri Nov  7 2008 mzugec@suse.cz
- next->ok button in Overview dialog (bnc#442358)
- several upload fixes (bnc#440666)
- 2.17.15
* Fri Nov  7 2008 jsrain@suse.cz
- added reference to Novell's privacy policy (fate #303850)
- 2.17.14
* Wed Nov  5 2008 jsrain@suse.cz
- fixed typos (bnc #441790)
- 2.17.13
* Wed Oct 29 2008 jsrain@suse.cz
- issue a warning before starting browser as root
- fixed passing root password to supportconfig if YaST is run as
  non-root
* Wed Oct 29 2008 mzugec@suse.de
- fixed layout
- 2.17.12
* Mon Oct 27 2008 mzugec@suse.cz
- improved Upload dialog
- 2.17.11
* Fri Oct 24 2008 jsrain@suse.cz
- added help texts
- 2.17.10
* Wed Oct 22 2008 jsrain@suse.cz
- added support for running as non-root
* Mon Oct 20 2008 mzugec@suse.cz
- fixed some text typos (bnc#436826)
* Mon Oct 13 2008 mzugec@suse.cz
- changed workflow for upload tarball
- 2.17.9
* Thu Oct  9 2008 mzugec@suse.cz
- separate minimum, full and default configuration
- removed temporary directory selection
- added text decriptions for expert options
- removed VAR_OPTION* from expert dialog
- 2.17.8
* Thu Oct  2 2008 mzugec@suse.de
- moved module into Support group (bnc#430005)
- 2.17.7
* Thu Oct  2 2008 mzugec@suse.cz
- changed Novell Support Center URL
* Mon Sep 29 2008 mzugec@suse.cz
- added support for new identifiers (fate#305243)
- 2.17.6
* Mon Sep 29 2008 mzugec@suse.cz
- split Overview into Overview and Upload
- test and run browser with specified URL
- 2.17.5
* Fri Sep 26 2008 mzugec@suse.cz
- changed workflow - overview dialog
- 2.17.4
* Wed Sep 24 2008 mzugec@suse.de
- changed workflow - expert dialog
- improved parser agent
- 2.17.3
* Fri Sep  5 2008 mzugec@suse.cz
- use .target.tmpdir for target log directory
- adapted to new supportconfig script (bnc#419516)
- 2.17.2
* Thu Sep  4 2008 mzugec@suse.cz
- complete workflow
- 2.17.1
* Fri Aug 22 2008 mzugec@suse.cz
- fixed spec file
- works with patched /sbin/support
- 2.17.0
* Tue Aug 12 2008 mzugec@novell.com
- initial version
